org.apache.cxf.staxutils.validation

## Class W3CMultiSchemaFactory

- java.lang.Object
- - org.codehaus.stax2.validation.XMLValidationSchemaFactory
  - - com.ctc.wstx.msv.BaseSchemaFactory
    - - org.apache.cxf.staxutils.validation.W3CMultiSchemaFactory

-     public class W3CMultiSchemaFactory
      extends com.ctc.wstx.msv.BaseSchemaFactory

- - ### Field Summary

    - ### Fields inherited from class com.ctc.wstx.msv.BaseSchemaFactory

      `mConfig, sSaxFactory`

    - ### Fields inherited from class org.codehaus.stax2.validation.XMLValidationSchemaFactory

      `INTERNAL_ID_SCHEMA_DTD, INTERNAL_ID_SCHEMA_RELAXNG, INTERNAL_ID_SCHEMA_TREX, INTERNAL_ID_SCHEMA_W3C, mSchemaType, P_ENABLE_CACHING, P_IS_NAMESPACE_AWARE, SERVICE_DEFINITION_PATH, SYSTEM_PROPERTY_FOR_IMPL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `W3CMultiSchemaFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.codehaus.stax2.validation.XMLValidationSchema` | `loadSchema(InputSource src, Object sysRef)`
    `org.codehaus.stax2.validation.XMLValidationSchema` | `loadSchemas(String baseURI, Map<String,EmbeddedSchema> sources)`

    - ### Methods inherited from class com.ctc.wstx.msv.BaseSchemaFactory

      `createSchema, createSchema, createSchema, createSchema, getProperty, getSaxFactory, isPropertySupported, setProperty`

    - ### Methods inherited from class org.codehaus.stax2.validation.XMLValidationSchemaFactory

      `createSchema, createSchema, createSchema, getSchemaType, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### W3CMultiSchemaFactory

          public W3CMultiSchemaFactory()

  - ### Method Detail

    - #### loadSchemas

          public org.codehaus.stax2.validation.XMLValidationSchema loadSchemas(String baseURI,
                                                                               Map<String,EmbeddedSchema> sources)
                                                                        throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### loadSchema

          protected org.codehaus.stax2.validation.XMLValidationSchema loadSchema(InputSource src,
                                                                                 Object sysRef)
                                                                          throws XMLStreamException

      Specified by:
        `loadSchema` in class `com.ctc.wstx.msv.BaseSchemaFactory`
      Throws:
        `XMLStreamException`

Apache CXF